Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thing
Class ResultManager

    java.lang.Object
      things.thing.ResultManager

    public abstract class ResultManager

extends java.lang.Object

Manage RESULTS.

Version:
  1.0

  Version History

      EPG - Initial - 26 FEB 07

Author:
  Erich P. Gatejen

Constructor Summary
`ResultManager()`

Method Summary
`static RESULT` | `calculateResult(java.util.Collection<ResultDefinition> results, ThingsExceptionBundle<ThingsException> exceptions)` Calculate the result based on the defined results and their settings.
`static RESULT` | `calculateResult(java.util.List<RESULT> results, ThingsExceptionBundle<ThingsException> exceptions)` Calculate the result based the inherit goodness of the individual results, as captured in Type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultManager

    public ResultManager()

Method Detail

### calculateResult

    public static RESULT calculateResult(java.util.List<RESULT> results,
                                         ThingsExceptionBundle<ThingsException> exceptions)
                                  throws UserException

  Calculate the result based the inherit goodness of the individual results, as captured in Type. Ignore their definitions. The metrics will be a complete rollup all RESULT metrics, not just case by case. So that means the count could be significantly higher than the number of RESULTS. There are the following rules:
  All results must be PASS for the final result to PASS.
  A single ABORT will make the final result an ABORT, otherwise:
  A single EXCEPTION will make the final result an EXCEPTION, otherwise:
  a single FAIL will make the final result a FAIL, otherwise:
  a single INCONCLUSIVE will make the final result a FAIL.

  Parameters:
    `results` - a collection of results.
    `exceptions` - any exceptions. This may be null or empty.
  Returns:
    the overall result.
  Throws:
    `UserException`

### calculateResult

    public static RESULT calculateResult(java.util.Collection<ResultDefinition> results,
                                         ThingsExceptionBundle<ThingsException> exceptions)
                                  throws UserException

  Calculate the result based on the defined results and their settings. There are the following rules:
  All results must be PASS for the final result to PASS.
  A single ABORT will make the final result an ABORT, otherwise:
  A single EXCEPTION will make the final result an EXCEPTION, otherwise:
  a single FAIL will make the final result a FAIL, otherwise:
  a single INCONCLUSIVE will make the final result a FAIL.

  Parameters:
    `results` - a collection of results.
    `exceptions` - any exceptions. This may be null or empty.
  Returns:
    the overall result.
  Throws:
    `UserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.